/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ILoadDataBaseDelegate.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.business
{
import org.ow2.jasmine.kerneos.common.business.IDelegateResponder;

/**
* To be implemented by the delegate class.
* @author Christophe Merisier
*/
public interface ILoadDataBaseDelegate extends IDelegateResponder
{
    /**
    * Load datas from a log file.
    * @param args   The arguments to acces the DB.
    * @param filter A String representing the columns to get the values.
    *               the format is the following: "header_c0;header_c1;header_c2"
    */
    function loadFromDataBase(args:String,filter:String) : void;
}
}
